#include <bits/stdc++.h>
using namespace std;

int main() {
    int n;
    cin>>n;
    long long int l[n];
    for (int i = 0; i<n; i++){
        cin>>l[n - i - 1];
    }
    long long int result = 0;
    while (n>0){
        long long obj = l[0];
        long long t = 1;
        for (int i = 1; i<n; i++){
            if (l[i]==obj){
                t++;
            }
            else {
                break;
            }
        }
        result+=obj * t;
        for (int i = 0; i<n-t; i++){
            l[i] = l[t + i] - t;
            if (l[i]<0){
                l[i] = 0;
            }
        }
        n-=t;
    }
    cout<<result<<endl;
}